WinDates

WinDates v5.1

"Never miss Mother's Day or a Birthday Again!"

WinDates is a date organizer and reminder that allows you to track Holidays, Birthdays, Anniversaries, Appointments, or any type of event. WinDates automatically calculates many events and holidays such as Easter and Mother’s Day which can be hard to remember because they may fall on a different date each year.

By installing the WinDates icon in your "Startup" folder, WinDates will remind you of events each time you enter Windows. WinDates then runs in the background reminding you of events through customizable Alarms.

"Your Internet Calendar!"

WinDates opens up the world of sharing Internet Calendars stored in the iCalendar standard format. There are hundreds of free calendars available in areas such as sports, concerts, entertainment, group events, holidays, and many more. These calendars can be easily loaded directly into WinDates and displayed in your own personalized calendar list. Visit iCalDates.com for links to shared calendars.

WinDates provides the ability to create your own calendars and share them for others to view through the Internet or download into their copy of WinDates. The new iCalDates.com service provides a location on the Internet for you to store your calendars for access by the public or by your family, friends and colleagues. See the Calendar Manager for details on calendar sharing in WinDates.

General Topics

  • Upgrading WinDates
  • What's New
  • Contacting Rockin' Software
  • Tips On Using WinDates
  • Calendar Manager
  • Event Entry
  • Recurrence Types
  • Network Support
  • Alarms
  • Options
  • REGISTRATION
  • Registration Form


What's New

The following features have been added or changed

Version 5.1

  • Print a single event including notes.
  • Calendar name included on event details screen.
  • Publish and subscribe to Internet Calendars using FTP (File Transfer Protocol) enabling publish to servers that don't support HTTP publishing.
  • Refresh button added to alarm window as a shortcut to refresh events in subscribed Internet Calendars.
  • Improved compatibility with Apple iCal calendars by retaining custom iCal calendar attributes.
  • Enhanced URL processing with support for URL parameters.
  • Fixed issue under Windows XP where WinDates task tray icon would sometimes not display.
  • Miscellaneous Bug Fixes

Version 5.0.4

  • Updated iCalendar export to remove extra carriage return characters. This fixes issues importing iCalendar files into other programs.

Version 5.0.3

  • Disabled event type color prompt when opening local iCalendar files.
  • Fixed issue where "Time Conflict Warning" option did not save.
  • Opening a disabled calendar now enables the calendar.
  • Increased maximum event name length to 500 characters.
  • Increased maximum event notes length to 50,000 characters.
  • Uninstall process now does not remove calendar data files.
  • Updated calendar wizard to reset next alarm date when setting alarms.
  • Improved iCalendar export of Easter Yearly recurring events.

Version 5.0.2

  • Updated registration key handling.

Version 5.0.1

  • Fixed issue that caused WinDates 5.0 not to execute on Windows 95 or Windows NT 4.0.
  • Fixed issue with "Add Copy" action where the new event was given the same event ID as the original event.
  • Fixed issue where calendar files could be opened twice when an existing calendar was selected through Windows.
  • Updated alarm window to reactivate the alarm window after deleting an event if additional alarms exist.
  • Fixed recurring event issue with some events such as "5th Thursday of every month".
  • Fixed issue with sending alarm emails via the SMTP protocol.
  • Fixed error which occurred when closing the print preview screen.

Version 5.0

    Calendar Sharing
  • Added ability to share calendars using the Internet Calendar (iCalendar) standard. Calendars may be published to a web site such as iCalDates.com where other users may subscribe to the calendars.
  • Added ability to import and export calendars in the iCalendar format.
  • Added ability to synchronize calendars between multiple computers using the iCalendar publish and subscribe functions.
  • Import of WinDates or iCalendar event files now synchronize with existing events. Allows syncing calendar files using the import function.
    • Calendar Management
  • WinDates now refers to event files as "Calendars". Each calendar is now identified by a calendar name.
  • The names of open calendars are now shown in the WinDates title bar.
  • Added Calendar Manager screen to display and manage calendars.
  • Added Calendar Wizard which allows user to select calendars upon installing WinDates.
    Recurring Events
  • Added new Easter Yearly recurring event type. This allows setting up recurring events relative to Easter.
  • Added advanced monthly and yearly event options that allow restricting events to a certain occurrence within the month or year. This allows events such as first weekday of the month to be setup.
  • Added Week Days selection to the Advanced Yearly Options.
    Holidays
  • Added new holiday files for Canada, Australia and United Kingdom.
  • Holidays are now stored as normal calendar files. Users may edit holidays and create their own holiday files.
  • Added Event Manager to disable and enable events and to reset alarm settings and event types on multiple events at once.
    Alarms
  • Added ability to send an email when an alarm goes off.
  • Added ability to open/play files (sound, movie, picture, CD, etc) when an alarm goes off.
  • Added ability to run a program when an alarm goes off.
  • Added Auto-Acknowledge option on alarms. Alarms with this setting go off only once, are not shown in the alarm window and are automatically acknowledged. Useful for email, and program type alarms that do not need to be acknowledged.
  • Added ability to disable sound on individual alarms without disabling the alarm.
  • Added ability to set how often sound alarms are repeated (global alarm setting).
  • Added settings for Alarm Window Activation providing control over alarm interruptions.
  • Added Quick Timer feature.
    Misc
  • WinDates now displays windows using XP themes when installed on Windows XP.
  • Fixed issue with calendar restore feature where calendar might be restored but not opened.

Version 4.25

  • Fixed lockup / memory leak when Windows color changes are made.
  • Updated WinDates to reset task tray icon if desktop crach occurs.
  • Fixed problem with alarms on events where an individual occurrence of a recurring event is rescheduled.
  • Fixed problem where Event Type changes could cause a crash if only the Event List is visible.

Version 4.24

  • Updated WinDates to workaround Windows bug that caused the current date to not be updated after daylight savings time change.

Version 4.23

  • Fixed problem where certain events may cause WinDates to lockup.

Version 4.22

  • Updated installation program to install under Program Files by default.
  • Updated uninstall script to remove all registry entries.

Version 4.21

  • Character set (script) is now saved in font settings.

Version 4.2

  • Fixed index problem that caused some events to not be displayed correctly.
  • Fixed age calculation on event list printout.
  • Note popup now shows & symbols correctly.
  • Event List printouts now show & symbols correctly.
  • Fixed event deletion problem.

Version 4.1

  • Fixed alarm sounds not playing.
  • Fixed problem that occurred when deleting events from the alarm window.
  • Fixed advanced recurring event details not saving under some conditions.
  • Fixed problem where notes for a single occurrence of a recurring event were not saved.
  • Tool tips now show correctly when hovering over buttons in the alarm window.
  • Fixed memory drain that occurred when event edit window is cancelled.
  • Fixed lockup when Windows color changes are made.

Version 4.0

  • New data file format with support for shared network access. Calendar updates are recognized automatically but other copies of WinDates.
  • Multiple file support so you can have multiple event files open at once. This is useful for having a personal event file and a network shared event file.
  • Improved performance.
  • A daily view showing one calendar day in detail.
  • Ability to reschedule or cancel individual occurrences of a recurring event.
  • New combined alarm window that allows acknowledging / snoozing of multiple alarms at once. This window is handy as an ongoing to-do list.
  • Weekly calendar printed report.
  • Option to make a filter persistent such that it is reapplied each time you run WinDates.
  • Fixed problem with control panel settings hanging up while WinDates is active.
  • Option to automatically have text file exported when WinDates is minimized or exited.
  • Improved on-line help table of contents.

Version 3.7

  • Enhanced error handling when reading and writing events to disk.
  • Fixed a rare problem where the event file could not be read correctly.
  • Fixed several screen redraw problems.
  • Hot keys (F5, Ctrl A, etc) now work when mouse is positioned over calendar.
  • Improved performance in several areas.
  • Added "Add Copy" command that enables a new event to be created based an existing event.
  • Included latest Windows Common Controls (comctl32.dll) from Microsoft. This fixes a problem some people have had entering a year in the date picker control.
  • Added Window Startup option of "Normal Once per Day (Hidden Otherwise)" in Startup Options.
  • Added setting in Alarm Options for how often WinDates checks for alarms. The default is now every 3 seconds. This setting can be lengthened to improve performance on some slow machines.

Version 3.61

  • Fixed bug that caused stack overflow on startup.

Version 3.6

  • Installation program now recognizes previous installations and improves upgrade process.
  • Weekly Calendar View added.
  • Calendar "Auto-Expand" added. Automatically shows calendar text when mouse is hovered over calendar cell.
  • Popup Hints now show event notes when mouse is hovered over event.
  • Date Range Event List printed report type added.
  • Added popup time picker in the Event Entry window.
  • Import of vCalendar and WinDates Event files added.
  • Added keyboard keys for snoozing alarms.
  • Task tray icon now hides WinDates if clicked while WinDates is shown.
  • Full Date added to task tray hint.
  • Event Files that are in use may now be opened read-only. This allows users to share a file on a network.
  • Ability to set default event start time in Event Options.
  • Snooze now remembers the last snooze time entered for each event.
  • Upcoming / All buttons removed from toolbar. Entry of upcoming days moved into seperate dialog to clean up event entry dialog.
  • The order of the columns in the Event List may now be changed by dragging the column headings to a new position.

Version 3.51

  • Fixed rare problem that caused WinDates to lock up when calculating occurrences of some recurring events.

Version 3.5

  • Event History feature. Acknowledged events are now left on the calendar for reference.
  • Alarms may be "Snoozed" for minutes, hours, days or weeks.
  • Alarms may now be set for All Day events. In other words, events no longer require a time for an alarm to be set.
  • Alarms may be set for minutes, hours, days or weeks before an event.
  • A different alarm sound may now be specified for each event.
  • Event acknowledgements have changed so events without alarms are automatically acknowledged.
  • The Past Due Warning dialog has been removed. Event alarms should now be used for events that require attention.
  • Events can now include an end date and time.
  • Daily recurrence type added.
  • Event frequency has been added to all recurring types so you can specify events such as every 2 years or every 4 days.
  • For recurring events, an end date or number of occurrences can be set so that recurring events don't recur forever.
  • The custom recurrence type has been removed and replaced by new advanced settings under each of the recurrence types (daily, monthly, etc). Existing custom events are converted to monthly events with advanced settings.
  • Advanced settings have been added for each recurrence type. These settings allow much more powerful custom events.
  • Event List search feature added.
  • Task tray icon now displays current day of month.
  • The "Hidden When No Upcoming" startup option now works even if WinDates starts up in "Show All" mode.
  • You may now backup the event data file to any drive or directory.
  • You may now open new event data files or move your event file to another directory using the new File Commands.
  • Event Wizard added which makes entering Birthdays and Anniversaries easier.
  • The calendar text can now be color-coded by Event Type.
  • Notes and Alarm indication graphics added to Event List.
  • Calendar month selection dialog added under View Menu.
  • Event Import feature added that allows you to import events from a text file.
  • On startup, WinDates now searches to see if the file being opened is already opened by another copy of WinDates. If so, the existing copy of WinDates is activated.
  • Event Type combo box in the event entry window now has an auto-complete feature which automatically selects events types as you type.
  • European style week numbers can now be shown on the calendar.

Version 3.05

  • Added export to text file capability.
  • Added the ability to select locations where the WinDates icon is installed.
  • Corrected installation problem that caused WinDates to not be run on Windows startup for some international users (users whose Startup group was not named Startup).
  • Corrected problem that caused custom events that specified the Last Week of February to not be shown during non-leap years (only time a month doesn't have a fifth week).
  • Corrected problem that caused the UNCONVERTED WINHELP MACRO:!JI("","Startup_Options")Startup Options window to not show on some computers.
  • Other minor bug fixes.

Version 3.01

  • Fixed rare problem that caused WinDates to 'crash' on startup.
  • Fixed problem that caused a time of midnight (0:00) to be recorded for events if the no time was specified and WinDates was set for 24-hour time entry format instead of am/pm format.

Version 3.0

  • Enhanced Calendar. Event text is now shown in calendar. Events may be managed using right-click context menus.
  • Future occurrences of recurring events now show in calendar.
  • Added ability to acknowledge events.
  • Alarms are now persistent. If your computer is not on when an alarm is set to sound, it will sound the next time WinDates is started.
  • Added calendar printing and print preview.
  • Enhanced Event List printing and added print preview.
  • Modified WinDates to use current WinDates color settings.
  • Added new flag style toolbar with more buttons.
  • Added buttons to easily toggle between Calendar/Event List, Calendar Only, and Event List Only modes.
  • Added options to modify screen fonts.
  • Added ability to specify default notify type and different days prior defaults for each notify type.
  • Alarm enabled is now automatically set if an event time is entered.
  • Handled Feb 29th yearly events. These events will show up on Feb 28th in non-leap years.
  • Added ability to filter events by event type. This allows users to view and print reports such as All Birthdays.
  • Register! menu item now reads Registered in registered versions and does not show the registration reminder screen.
  • Added ability to set alarm length to 'Until Acknowledged'.
  • Clicking on the calendar month heading now brings the calendar back to the current month.
  • Fixed problem with WinDates locking up if time backup is run while WinDates is hidden.
  • New installation setup including uninstall support.
  • New expanded On-Line Help format.

Version 2.11

  • Fixed problem that caused the UNCONVERTED WINHELP MACRO:!JI("","Startup_Options")Startup Options window to not show on some computers.
  • Made text wrap correctly in notes field in the Alarm Window.
  • Removed 2.0 version number from Startup Splash Screen.
  • Fixed problem of alarms going off at incorrect times on certain computers (very rare). This happened when the DOS time zone, set with the TZ environment variable, was different than the time zone set through Windows control panel. WinDates now only uses windows time zone.

Version 2.1

  • WinDates now remembers it's screen size and position, event list column sizes, calendar size, show all / upcoming state, and toolbar status.
  • WinDates places it's icon in the Task Tray (Windows 95 / NT 4.0 and greater)
  • Added menu item called TODAY! that brings calendar back to current month.
  • Fixed problem with Today! indication in calendar not updating correctly.
  • Added Weekly notify type.
  • Expanded Monthly notify type so that user can specify valid months. This especially helps in specifying quarterly events.
  • Better options for International users. Day and month names handled better, options to start calendar week on Monday or Sunday, option for AM/PM or 24-hour time entry.
  • Made calendar startup in current month instead of month of next event.
  • Added Snooze feature to alarm. Also added ability to edit or delete event from alarm window.
  • Added setting for how long alarm sounds, and default snooze time.
  • Fixed problem with multi-line notes not showing correctly in Alarm window.
  • Added daily reminder time for people who leave their computers on for multiple days.
  • Added warnings when exiting WinDates, hiding WinDates, and entering alarm times.
  • Made year blank by default for yearly events.
  • Added option for setting the default event type in the Type Setup window.
  • Added menu items for changing Show All / Show Upcoming.
  • Added backup and restore feature for the event file.
  • Added options button to the toolbar.
  • Added links to control panel windows for setting system date / time and system regional settings.
  • Added spin controls to all numeric edit boxes.
  • For custom event entry, made "All" buttons toggle between All and None.
  • Added better F1 help support in dialog windows.

Version 2.01

  • Fixed problem with alarms going off on incorrect dates.
  • Fixed problem with events converted from version 1.2 not working if changed to custom event type.

Version 2.0

  • Converted WinDates to 32-bit for Windows 95 and Windows NT.
  • Added Event List Printing.
  • Removed redundant Event Setup screen. All functions can be handled from main screen.
  • Added calendar view.
  • Added alarm function.
  • Made Event Name and Type fields longer.
  • Added Event Notes, Time, and Alarm fields.
  • Added calendar for date selection for One Time events in Event Entry dialog.
  • Added custom event type.
  • Added support for International Dates and Times. WinDates now uses the Windows International Date and Time settings.
  • Replaced main list box with Event List grid that allows column resizing.
  • Added ability to resize main window.
  • Added keyboard support.
  • Yearly Events Dates in the Event List show the current year instead of the original year.
  • Added ability to sort Event List by any column or by specific multiple columns.
  • Added Event Type Setup dialog which allows you to add, delete and modify the Event Types that are shown in the Type drop box in the Event Entry dialog.
  • Redesigned holiday setup dialog.


Upgrade

If you are upgrading from version 4.0 or greater, no event file conversion is necessary.

If you are upgrading a version prior to 4.0, WinDates will prompt you to convert your existing data file to the latest format.

During installation, the following files will not be overwritten if they exist.

  • events.dat v1.2 events data file
  • events20.dat v2.x / v3.0 events data file
  • events.wdt v3.5 events data file

The first time you execute WinDates after installation, if a previous version data file (events.dat or events20.dat) exists, you will be prompted to convert the latest version file to the current file format. If you want to convert and use events entered through the previous version, select Yes. If you wish to start out fresh using example events, select no. If you select no, you may convert the previous version file at a later time by performing the Convert Previous File function.

If you choose to convert the previous file, the default data file (events.wdt) will be renamed to default.wdt. You may open this file at a later time using the Open command.


Tips on Using WinDates

This section discusses some of the possible uses of WinDates and gives tips on how to make WinDates work for you.

Club Calendars

Use WinDates to keep track of and print event lists and calendars for your clubs and groups. The Filter feature is very useful in this case. By assigning intelligent event types to these events, you can use the filter feature to make reports such as "Club Birthdays" or "Group Meetings".

Birthdays

WinDates was originally developed with tracking birthdays in mind. You can impress your friends, relatives and co-workers by remembering their birthday and even how old they are.

tip - The Event Wizard is an easy way to enter birthdays.

Anniversaries

Enter wedding dates to keep track of anniversaries. Use the yearly event type, enter the year of the wedding as the year and WinDates will calculate how long they've been married each year.

tip - The Event Wizard is an easy way to enter anniversaries.

Jobs around the House

Remember when to do all those little things around the house that are so easy to forget. For example, changing batteries in the smoke detectors, changing the filters in your air conditioning or furnace, adding new fertilizer spikes in the household plants,

Firsts

Impress your significant other by remembering the anniversary of some of those "firsts", like the First Date.

Holidays

Many holidays happen on unusual days like "second Sunday of May" (American Mother's Day). If there is a holiday like this that is not automatically handled by WinDates, try using the Advanced Recurring Options to enter the event.

Renewals

For businesses with sales that should be renewed or repeated periodically, enter a daily, weekly, monthly or yearly event to remind you to send the notice or make the call.

Tracking Stocks and Shares

Use WinDates to keep track of company year ends, maturity dates, etc.

Alarms

Alarms can be set for any event (except the built-in holidays). Use alarms for sending a birthday card, meetings, lunch dates, quitting time, or waking up in the morning.

Note: If you have a unique use for WinDates, it might help someone else. Send in your ideas. Contacting Rockin' Software


Contacting Rockin' Software

Internet Mail

sales@rockinsoftware.com
support@rockinsoftware.com

World Wide Web

http://www.rockinsoftware.com

Postal Mail

Rockin' Software
5116 Bissonnet #134
Bellaire, TX 77401-4007


File Conversion

Warning: Under normal circumstances, you should not need to perform this operation. Performing this operation will overwrite the events.wdt file.

If you are upgrading from a version of WinDates prior to 3.5, you must convert the previous version data file (either events.dat or events20.dat) to the version 3.6 format before it can be used in WinDates version 3.6.

You should be prompted to perform this conversion the first time you execute WinDates version 3.6. If for some reason you skip this process, you can perform the conversion later using the "Convert Previous Data" command (Found in the File Menu). This process simply reads the previous version file and stores a new version 3.6 data file. Your existing version 3.6 file (events.wdt) is renamed to default.wdt. You may open this file at a later time using the Open command.


Calendar

This view can show three different types of calendars, a month calendar, a week calendar or a day calendar. The toolbar buttons labeled with a 1, 7 and 31 can be used to switch between the day, week and month views. Event names are shown in the calendar color-coded by Event Type. Single-click on an event name to highlight the event in the event list. Double-click an event name to edit the event or double-click any unfilled area of the date cell to add a new event. You may also right click on event names to display an edit menu. This menu gives access to the Add, Delete, Modify, Acknowledge, and Details functions.

Monthly and Weekly Views

In these views, if all event text does not vertically fit in a calendar cell, a small red + sign is shown in the lower right corner of cell. If you place the mouse cursor over the date cell, it will automatically expand to show you all events on that date. The current date, if in the month shown, is indicated with a red text color.

Daily View

The daily view shows two different lists of events. All-day events (without times) are shown in the list at the lower right of the screen. Events with times are shown in the list on the left side of the screen at the specific time of the event. A scrollbar is used to move up and down in the time list. If events in the list are hidden outside the viewable portion of the list, a small plus sign is shown to indicate this.

Browsing the Calendar

The user may use the five buttons located on the top row of a calendar view to browse. On the month calendar, the single arrow buttons change the calendar one month at a time. The double arrow buttons change the calendar one year at a time. The middle button that shows the current month and year, will bring the calendar back to the current month and year.

On the week calendar, the single arrow buttons change the calendar one week at a time. The double arrow buttons change the calendar one month at a time.

You may use the New Calendar Month function found on the View menu to jump to a specific month and year on either calendar view.

Event Date Highlighting

When an event is highlighted in the Event List, the calendar is updated to highlight the calendar date that the event occurs on. Conversely, when an event in a calendar cell is selected with the mouse, the corresponding event is highlighted in the Event List.

Calendar Size

The size of the Calendar can be changed by changing the size of the main window. To resize the calendar and event list, select the "View | Resize Views" menu item. Then use the mouse or keyboard arrows to reposition the "splitter bar" that is between the two views. Also, you may directly select the "splitter bar" with the mouse and drag it to a new position.


Event List

Contents

Upon startup, the Event List shows the following information on events and holidays.

  • Alarm - Indicates whether an alarm is set on the event.
  • Name - Event name (John Doe, Mother's Day, Car Payment, etc)
  • Day - Day of week of event
  • Date - Date of event in local date format
  • Days - Left Number of days left until event
  • Time - Time of event in local time format
  • Age - Upcoming age of events (for example, age on next birthday)
  • Type - Type of event (Birthday, Holiday, bill, meeting, etc)
  • Notes - Indicates whether notes exist for the event.

Sorting

Column Order

You may change the order of the columns in the event list by clicking a column heading and dragging it to the new position you desire.

Event Editing

To edit events or holidays, you may double-click on the event in the event list. When deleting events, the currently highlighted event in the Event List will be deleted. The list also supports the right click context menus which give access to the add, modify, delete and acknowledge functions.

Event List Size

The size of the Event List window can be changed by changing the size of the main window. To resize the calendar and event list, select the "View | Resize Views" menu item. Then use the mouse or keyboard arrows to reposition the "splitter bar" that is between the two views. Also, you may directly select the "splitter bar" with the mouse and drag it to a new position.


Filtering

The filtering function allows you to specify certain event types to be shown in the Event List, Calendar and Printed Reports. To enable filtering, deselect the event types that should not be shown. To disable filtering, select the Show All button. Event filtering only lasts in your current session of WinDates.

The checkbox "Re-Apply this filter at WinDates startup" can be selected to make the filter permanent. If you do not select this option, the filter settings will be discarded when you exit WinDates.


Search Event List

This function allows you to search for Events currently shown in the Event List. You may enter a word or phrase for WinDates so search for in the Name, Type and Notes fields of each Event or Holiday. When an event is found, it will be highlighted in the Event List and Calendar.

Note : This function only searches events currently shown in the Event List. If there are events that are not shown because of Filtering, because of Acknowledged Events in List being disabled, or because of being in Show Upcoming mode will not be found.


Sorting

The text heading of the column(s) that the Event List is sorted by are highlighted in blue. By default, the Event List is sorted by date and time so events are listed in order of occurrence. The Event List can be sorted by a different column by selecting the column heading with your mouse. Also, the event list can be sorted by several columns at once by selecting menu items in the Sort menu. Sorting by multiple columns helps to group events so that events can be in a specific order.


Status Bar

The status bar is shown at the bottom of the WinDates Main Window. It shows the following information in four panes.

  • Menu Help - The first pane starts at the left of the status bar but does not have a sunken border. As menu items or toolbar buttons are selected, this pane shows messages that describe the menu item or button.
  • Registered Pane - The second pane shows the Registration status of WinDates. If this installation of WinDates is not registered, the pane will show 'Unregistered Evaluation'. If this installation has been registered, the name entered through the Register Dialog is shown.
  • Current Time Pane - The third pane shows the current computer time. The Windows international time settings are used to format this time value.
  • Current Date Pane - The fourth pane shows the current computer date. The Windows international date settings are used to format this date value.


Hide WinDates

Hides the WinDates Main Window. WinDates can be restored by clicking on the small icon in the Windows Task Tray. While WinDates is hidden, all alarms will be active.


Toolbar

Toggles whether to show the toolbar or not.


New Calendar Month

Use this window to specify a new month and year to jump to in the WinDates Calendar. After selecting the month and year, press the Select button to display that month. To view the current month, press the Current button.


List Only

This option causes only the Event List to be shown in the main window.


Calendar Only

This option causes only the Calendar to be displayed in the WinDates main window.


List & Calendar

This option causes both the Event List and Calendar to be shown in the main window.


Old Events in List

This option, found on the View Menu, allows you to view events in the Event List that have been fully acknowledged. Acknowledged events are shown in the event list with a check mark in the first column.

Fully acknowledged events include One Time events that have been acknowledged and recurring events in which all occurrences have been acknowledged. For recurring events, this can only happen if a Repeat Length has been set to a value other than Forever, since events set to recur forever will never be fully acknowledged.


Old Events in Calendar

This option, found on the View Menu allows you to view events in the Calendar that have been fully acknowledged. These events are shown in a gray color in the calendar.

Fully acknowledged events include One Time events that have been acknowledged and recurring events in which all occurrences have been acknowledged. For recurring events, this can only happen if a Repeat Length has been set to a value other than Forever, since events set to recur forever will never be fully acknowledged.


Day Calendar

This option displays the day calendar view in the lower window view. See Calendar for more information.


Week Calendar

This option displays the week calendar view in the lower window view. See Calendar for more information.


Month Calendar

This option displays a month calendar in the lower window view. See Calendar for more information.


Show Upcoming

This settings shows only enabled Events and Holidays within the near future in the Event List and Calendar. The idea of "near future" is defined by the Upcoming Days setting for each Holiday or Event.


Show All

Shows all Events and enabled Holidays in the Event List and Calendar.

This is the default setting.


Event Count

This function shows the number of user defined events that are currently defined in WinDates. The unregistered version of WinDates has a 20 event limit.


Calendar Manager

All events within WinDates are organized and stored in calendar files. WinDates provides the ability to create and view multiple calendars providing a method to organize and group events. The Calendar Manager window displays a list of calendar files currently being tracked by WinDates. WinDates provides a default calendar for storing your events as well as a number of holiday calendars for various countries. You may create new calendars of your own or subscribe (download) calendars that have been shared by others through the Internet.

Open and Close Calendars

The list of calendars includes a checkbox next to each calendar. Selecting the checkbox opens the calendar and display it's events in WinDates. Unselecting the checkbox closes the calendar.

Note: Alarms in closed calendars will not sound.

Calendar Status

The list of calendars includes a status column that may be of the following values.

  • Local - The calendar was created locally and has not been published.
  • Subscribed - The calendar was created by subscribing to an Internet Calendar.
  • Published - The calendar has been published to a calendar server.
  • Preview - An internet calendar that is being previewed.

New

This function allows you to create a new local calendar. A popup is displayed allowing you to set the display name the calendar and to set the name of the file the calendar data will be stored in. By default the calendar will be stored in your WinDates directory (normally C:\Program Files\WinDates).

Open

This function allows you to locate and open a calendar file on your computer or on a local area network. You may open WinDates Calendar Files (.wdt extension) or iCalendar Files (.ics extension). iCalendar Files opened directly are opened in read-only preview mode. To edit iCalendar files, import the file into a WinDates Calendar File (see Import topic)

Subscribe

This function allows you to locate and subscribe to an iCalendar stored on an Internet web server. See the Subscribe topic for more details.

Publish

This function allows you to publish an existing calendar file to a web server in iCalendar format. This function may be used to publish a calendar for the first time or to republish changes to an already published calendar. See the Publish topic for more details.

Edit

This function allows you to edit details of a calendar such as the calendar name. If the calendar is subscribed or published, the account name and password may be edited here. If the event has been published, the publish settings may be edited here.

Remove

This function removes the calendar from the calendar manager window. The calendar file is not deleted from your hard drive and may be opened at a later time using the "Open" function.

List Events

This function links to the Event Manager window.

Set Default

This function sets the default calendar to the currently selected calendar. This calendar is selected by default when adding new events through the Event Entry window.

Refresh

This function refresh the current calendar. See the iCalendar Refresh topic for more details..

Refresh All

This function refreshes all currently open calendars. See the iCalendar Refresh topic for more details.


File Commands

Calendar Commands

WinDates stores your events in WinDates calendar files on your computer hard drive. WinDates calendar files have a .wdt extension and the default calendar file is events.wdt. WinDates allows you to open and view multiple calendars concurrently using the "Calendar | Open" and "Calendar | Subscribe" menu items. For more details on managing calendars, see the Calendar Manager topic.

Opening Calendars from Windows

Calendar files may also be opened by double-clicking the calendar file's name in Windows Explorer. Also, WinDates will accept a file name as a command line parameter so you can open a calendar file by typing 'windates events.wdt' in a command window. Neither of these methods change the default calendar so that the next time you run WinDates without specifying a filename, the default calendars will be opened.

Running Multiple Instances of WinDates

WinDates has the capability to search for other copies of WinDates that are currently running. If another copy is found, it will activate that copy instead of running a second copy. This function can be changed in Startup Options so that multiple copies of WinDates will run concurrently.

See Also: Network Support, Calendar Manager


Subscribe

Subscribe to Calendar

The subscribe to calendar window allows you to locate and subscribe to an Internet Calendar (iCalendar). When you subscribe to a calendar, the calendar file is download from a server and imported into a local WinDates Calendar File. The calendar address is saved within the WinDates Calendar File so that you may Refresh the calendar at a later time.

Address

The Internet address of the calendar file can be entered here. The address can start with the web prefixes "webcal://", "http://", "ftp://" or "file://" (for local files).

Search

This function can be used to search the web for iCalendar files. Selecting the search button will open the iCalDates.com web site in your web browser which will guide you to calendars shared by others. Calendar subscriptions are accessed by selecting an Internet hyperlink with the "webcal://" web prefix. When you select an Internet subscription, the calendar address and details will automatically be loaded into this window.

Calendar Name

The display name assigned to the calendar. If this field is left blank, the iCalendar file name from the address field is used to name the calendar.

Local File

The name of the local WinDates Calendar File that the subscribed calendar will be saved to. If this field is left blank, the iCalendar file name from the address field is used to name the calendar file.

Username

The username used to access password protected calendars. Not required for public calendars.

Password

The password used to access password protected calendars. Not required for public calendars.

Preview

This selection allows you to preview the calendar without creating a local WinDates Calendar File. The next time you open WinDates, the calendar will not display. If you would like to subscribe to a previewed calendar, close the calendar through the Calendar Manager and then re-open the calendar. This subscribe window will be redisplayed where you may subscribe to the calendar.


Publish

Publish Calendar

The publish calendar window allows you to publish a local calendar to an Internet web server. When you publish a calendar, your events are exported in the standard iCalendar format and uploaded to the server you select. Publishing a calendar allows you to share calendars others and to synchronize calendars between computers.

Publish Name

The name that you would like to publish the calendar under. This name is used to set the calendar file name. Any spaces in the name are converted to a dash (-).

Publishing on iCalDates.com

Publishing on the iCalDates.com calendar hosting site is made easy through WinDates. iCalDates.com calendars may be marked as private which requires your username and password to access. If the calendar is not marked as private, the calendar is public and not password protected. When publishing through iCalDates.com, the calendar address is created for you automatically and is shown in the "Full Address" field.

Publishing on a Web or FTP Server

This option allows you to publish calendars on a web server that you have upload capability to. When this option is selected, a "Web URL" field is displayed where you must enter the address where the calendar should be saved. This address can have an "http://" or "ftp://" web prefix and must not include the file name of the calendar.

Username

The username required by the server you are publishing to. Selecting the "Save as Default" checkbox will save this username and password as the default account information for publishing calendars.

Password

The password required by the server you are publishing to.

Auto Publish

Selecting this option causes the calendar to be republished automatically any time you make changes to events in this calendar.

Publish Alarms

Selecting this option causes alarm definitions to be published along with the calendar events. Users who subscribed to the calendar will receive the alarm settings you have made. If you do not select this option, no alarms will be exported in the calendar.

Full Address

This field shows the full Internet address that the calendar will be published to. This is the address that is used to subscribe to the calendars.


iCalendar Refresh

iCalendar files may be updated on the Internet by WinDates or other calendar programs. WinDates provides a refresh function which downloads the latest calendar data from a subscribed calendar and updates your local version of the calendar.

When the calendar refresh occurs, WinDates downloads the iCalendar file from the subscribed web address and compares each event to those in your local WinDates event file. New events are added to the file, updated events are replaced and you are prompted whether to delete local events no longer found in the subscribed calendar.

Calendars may be refreshed on demand through the Calendar Manager. Calendars are also refreshed automatically prior to publishing the calendar. This refresh ensures that you download the latest calendar changes prior to publishing which guards against overwriting changes to the calendar made by another computer.


iCalendar Files

iCalendar is a standard calendar format that enables sharing of calendars through the Internet between web sites and personal calendar programs. See the iCalendar Specification for more information about the iCalendar standard.


Calendar Wizard

The calendar wizard is shown when you first run WinDates and guides you through selecting initial calendars and calendar settings.

Select Calendars Page

This page shows a list of calendars that have been bundled with WinDates. Select the calendars that you would like to enable within WinDates. Unselected calendars are still available and may be opened at a later time through this calendar wizard or through the Calendar Manager.

If the "Enable Refresh of calendars via the Internet" option is selected, the bundled calendars are linked to an Internet Calendar file on the iCalDates.com web site. These calendars may be refreshed with updates through the Calendar Manager screen.

Alarms Page

This page shows a list of newly enabled calendars and allows setting of alarms on all events in the calendars. If alarms are enabled on the files, an Alarm Lead Time may also be set.


Backup and Restore

WinDates includes a feature that allows you to easily backup your events to a floppy disk or network drive and restore these events at a later date. It is a good idea to perform a backup periodically in case of system failure.

Automatic Backup

WinDates includes an automatic backup reminder feature that will periodically pop up a window asking if you would like to backup the current event file. This feature can be customized through the Warning Options window.

Backup

To backup the events file, select the File | Backup Data menu item. Select the drive and directory to save the backup and press OK. The backup procedure may take several seconds.

Restore

To restore a previously backed up events file, select the File | Restore Data menu item. If backup was made to a floppy disk, place the diskette into a drive, enter the drive path or use the browse button and press OK. A window will appear telling you when the Backup was made and verifying that you want to continue with the restore operation. Select Yes to restore.

Warning : Restoring a backup events file will erase all events in the current event file.


Synchronize Calendars

The publish and subscribe functions within WinDates may be used to synchronize calendars between multiple computers. This is a great way to keep calendars between home and work computers in sync. To set up a synchronized calendar, you will require write access to a web server or an account on a service such as iCalDates.com.

Steps

  1. From the WinDates Calendar Manager window, select the calendar you would like to synchronize and select the Publish button.
  2. In the publish window, select the publish location (iCalDates or a web server). Normally when setting up synchronized calendars you should select both the "Auto Publish" and "Publish Alarms" settings.
  3. Make note of the calendar address listed in the "Full Address" field.
  4. Publish the calendar by selecting the "Publish" button.
  5. On a separate computer, from the WinDates Calendar Manage window, select the Subscribe button.
  6. Enter the calendar address that you recorded when publishing the calendar.
  7. Enter your username and password (if required) and select the "Subscribe" button.
  8. After successfully subscribing, select the Publish button and publish the calendar.

After performing the steps above, both computers will have a calendar that is published to the same Internet Calendar. When changes are made to events in the calendar, WinDates will first refresh the calendar to get any updates and then publish the calendar back to the server. You may Refresh the calendar at any time through the Calendar Manager.


Add

The Add button brings up the Event Entry window. The default date is set to the Current date. Other default event settings can be changed in the Event Options window.


Add Copy

This option adds a new event based on the details of the currently selected event. This option can be useful when entering recurring events that cannot be specified using the advanced event options. You can easily create one event and then create copies with needed changes for other events.


Modify

The Modify toolbar button allows you to edit the currently selected event in the Event List. If the entry is an event, the Event Entry window is displayed to allow you to edit the event.

Modifying a recurring event prompts whether you would like to edit the selected occurrence or the whole series of events. See Individual Event Occurrences for more information.

Note : You can also modify events by 'double-clicking' on the event in the Event List or by right clicking the event and selecting the Modify menu item.


Delete Event

Deletes the Currently Selected Event in the Event List. Deleting a recurring event prompts whether you would like to delete (cancel) the selected occurrence or the whole series of events. See Individual Event Occurrences for more information.


Event Manager

The event manager allows you to view all events in a calendar, enable or disable events and set alarm and event type settings on all events.

Calendar

The calendar selection lists each of the currently open calendars. Switching to a new calendar will display all events in that calendar.

Enable or Disable Events

Each event in the list of events includes a checkbox which allows you to easily enable or disable events.

Reset Alarm Settings

These controls allow you to reset the alarm settings on all events in the currently selected calendar. See the following topics for more information on alarm settings.

  • Alarms
  • Alarm Lead Time
  • Alarm Actions - Sound
  • Alarm Actions - Email
  • Alarm Actions - Run - Open

Reset Event Type

These controls allow you to reset the event type on all events in the currently selected calendar. See the Event Type topic for more information.


Event Wizard

The Event Wizard provides an easy way to enter certain types of events. The pages in the Event Wizard are customized to include values that normally apply to the type of event you are entering. Many event options are set automatically when using the Event Wizard.

In this version of WinDates, Birthday and Anniversary type events are supported by the Event Wizard. Both types are automatically entered as yearly events with All Day set to true and Show End Date / Time set to false. If the optional original year (birthdate or wedding date) is entered, then the Calculate Age option is automatically set.

The Event Type, Alarm Settings and Upcoming Days settings are all saved each time you use the wizard, so the same settings come up the next time you use the wizard.

To enter an event, first select the type of event and then select the Next button. This shows the Event Name / Date page where you enter the name, date and type of the event. After these have been entered, press the Next button again. This shows the Alarm page which allows you to set the Alarm and the Upcoming Days settings. After entering these values, select the Finish button to save the event.


Event Entry

The Event Entry window is used to enter new events and to modify existing events

Name

The name of the person or event (John Doe, Car Payment, etc.). This field is required.

Notes

Any notes about the event. These notes can be viewed by hovering your mouse over the event name in the calendar. This will display a data tip showing the notes.

Calendar

Allows selection of the calendar file to save the event to. Existing events may be moved to a different calendar file by selecting the new calendar. See the Calendar topic for more information.

Type

Allows selection of an event type. See the Event Type and Type Setup topics for more information on setting up and using event type.

Disabled

Events can be disabled by marking the "Disabled" checkbox. Disabled events are not shown in the Event List or Calendar but may be accessed through the Event Manager.

Frequency

The frequency section allows you to control whether the event occurs only once or is a recurring event. See the Recurrence Types topic for detailed description of the frequency types.

When an event is set to a frequency other than one time, a "recurrence interval" setting is displayed which allows you to specify the number of days, weeks, months or years between occurrences of an event depending on the recurrence type. For example, a daily event with a Recurrence Interval set to 5 would occur every 5 days and a weekly event with a Recurrence Interval of 2 would occur every 2 weeks.

Also when an event is set to a frequency other than one time, a button appears that may be selected to set Advanced Recurring Options. When advanced options are in effect for an event, an "Advanced Criteria In Effect" message is displayed directly below the advanced button. Advanced options are cleared and this indication is removed if the recurrence date or event date/time are changed.

Date/Time

These settings specify when the event occurs. If the event has a frequency other than one time, this date/time specifies the first occurrence of the event. See the following topics for details of each settings.

  • Start and End Date / Time
  • Show End
  • All Day
  • Calculate Age Using Start Date

Alarm Enabled

The "Alarm" checkbox specifies whether an Alarm is enabled for this event. If the event is enabled, the Alarm Lead Time controls are enabled. The default value for this option can be set in Event Options.

Alarm Actions

This button leads the alarm action dialog which provides the ability to setup actions that are performed when an alarm goes off. The following alarm types are available.

  • Alarm Actions - Sound
  • Alarm Actions - Email
  • Alarm Actions - Run - Open


Event Type

The type of event (Birthday, Bill, Meeting, etc). There are several preset Event Type's which can be chosen from the pull down list in the Event Entry window. The Event Type field in the Event Entry window includes an "Auto Complete" feature which automatically chooses the Event Type from the drop down list as you type in the field. The preset Event Type's can be modified and the default event type set in the Event Type Option.

The color-coding of events in the Calendar is based on Event Type. Using the Event Type Options window, you can specify a different color to be associated with each Event Type.

Tip: The Filtering option filters by Event Type.


Event Date / Time

These fields allow you to specify the date and time that an event occurs. Events can include any combination of start and end dates and times. The All Day and Show End Date / Time settings control which fields are shown and used. All Day events do not show a time. If Show End Date / Time is enabled then the event has an ending date and / or time, else the event occurs at a specific point in time. The date and time formats are based on your computer date and time regional settings that can be set through the Control Panel.

Date fields are broken down into day, month and year sub-fields. Time fields are broken down into hour and second sub-fields and also an am/pm indicator which is not shown if the 24-hour time format is used. To change a specific sub-field value, place the cursor in that field and use the up and down arrow keys on your keyboard or use the 'spin' control buttons to the right of the field or simply enter the number you desire using the keyboard. To move between fields, use the left and right arrow keys on your keyboard. For date fields, you may select the date from a drop down calendar by selecting the down arrow button to the right of the date field. To move between fields, use the Tab key.


All Day

This setting specifies whether an event is an "All Day" event or has a specific start and / or end time. This setting controls whether the time fields are shown in the Event Entry window. The default value for this option can be set in Event Options.


Show End Date / Time

This setting controls whether the end date and / or time fields used for an event. If this option is not set, then the end data and time fields are not shown in the Event Entry window. The default value for this option can be set in Event Options.


Calculate Age

WinDates can calculate the age of yearly events based on the event's start date. This is useful for events such as birthdays. In this case, enter the person's actual date of birth as the start date and then select the Calculate Age using Start Date checkbox. Their age will then be calculated each year and shown in the Event List and Calendar.

WinDates Home Page


Alarm Lead Time

This value specifies the amount of time before an event that an alarm is to sound. This option can be set to any number of Minutes, Hours, Days or Weeks. The default value can be set in Event Options.


Upcoming Days

Specifies the number of days prior to the event that the event is considered "Upcoming". In other words, when WinDates is set to Show Upcoming Events, the event will only be shown if it occurs within this many days of the current date. With some events, such as Birthdays, you may want to be reminded a couple of weeks ahead. Other events, such as monthly bill's, might only need to be set to four or five days.

A default Upcoming Days value can be set for each Recurrence Type in the Event Options window. When changing between recurrence types, the Upcoming Days value is changed to the value that corresponds to the selected recurrence type.


Alarms

WinDates includes an event alarm feature. For the alarm to function, WinDates must be running. For this reason, it is best to leave WinDates running at all times. The alarm will work if WinDates is hidden or minimized. Use the Hide button on the toolbar to quickly hide or minimize WinDates.

Alarm Definition

An alarm can be defined for each event through the Event Entry window. To determine the alarm time, WinDates uses the Event Date and Time and the Alarm Lead Time. The Alarm Lead Time allows you to specify a time period before the event time that the Alarm is sounded. For example, if you have a meeting at 10:00 am, you can specify the alarm time to be 9:45 am by setting an Alarm Lead Time value of 15 Minutes. You can also set the Alarm Lead Time to Hours, Days or Weeks before the event. For example, if you have a birthday where you need to send a package 2 weeks in advance, set the Event Date to the birthday and set the Alarm Lead Time to 2 weeks.

Sounding of the Alarm

When an alarm is sounded, WinDates displays the alarm window and performs the one or more of the alarm actions listed below which are set through the Event Entry window.

  • Play a Sound
  • Send an Email
  • Run or Open a File

The Acknowledge Alarm button acknowledges the alarm. When an alarm is acknowledged, it is removed from the Event List and is shown in gray in the Calendar. When recurring events are acknowledged, their next occurrence is then shown in the Event List.

The Snooze button pauses the alarm for the time period specified. The alarm will then sound again after that time has passed, even if you have restarted WinDates.

The Modify Event button displays the Event Entry window for the event.

The Delete Event button prompts the user whether the event should be deleted.

If multiple alarms are scheduled to sound at the same time, each alarm is shown in a list on the alarm window. You may choose one or more events in the alarm list and then select the desired action and the action will be performed on all selected events. For example, multiple events can be acknowledged in one action.

Refreshing Calendars

When events shown in the alarm window are part of a subscribed Internet calendar, the "Refresh" button is enabled to refresh those calendars. This provides a quick way to refresh alarms that may have already been acknowledged or snoozed at the source, especially when the calendar is set to be synchronized with another calendar.

Quick Acknowledge / Snooze

Alarms may be quickly acknowledged or snoozed using the keyboard. The Snooze time edit box is selected by default, so you may directly enter a new snooze time. Then you may use any of the following keyboard keys.

  • F5 Snooze Minutes
  • F6 Snooze Hours
  • F7 Snooze Days
  • F8 Snooze Weeks
  • F9 Acknowledge
  • Ctrl+M Modify Event
  • Ctrl+D Delete Event


Acknowledge Event

Acknowledging an event removes it from the Event List and displays the event in a gray color in the calendar. When acknowledging recurring events, the next upcoming occurrence of the event will be shown in the Event List. For instance, if a monthly event to Pay Rent has been paid, you can acknowledge it and it will not show up until the next month.

Events that do not have an alarm set are automatically acknowledged after they have passed. If you have an event that must be completed, even if past the date, you should set an alarm for the event so that the event will not automatically be acknowledged for you.

For more information, see Recurrence Types.


Alarm Actions - Sound

This window allows you to set whether a sound is played at the alarm time. When access through the Alarm Options window, this screen sets the default settings for events.

File

Specifies the alarm sound for the current event. Enter a .wav format file or browse for a file by selecting the speaker button. If you do not choose an individual alarm sound, the default alarm sound will be played.

Alarm Length

This setting controls how long an alarm will repeat if not acknowledged or snoozed. Set the Until Acknowledged setting to make alarms sound until acknowledged.

Automatically Acknowledge Alarm

When this setting is in effect, the alarm is automatically acknowledged without user interaction. This setting allows alarms to play a sound, send an email or run a program without displaying the alarm window to the user.


Alarm Actions - Email

This window allows you to set whether an email is sent at the alarm time. When access through the Alarm Options window, this screen sets the default settings for events.

To

The email address to send the email to.

Subject

The subject of the email. Email tags may be used in this field to specify event details (see Email Tags section below).

Message

The body of the email. Email tags may be used in this field to specify event details (see Email Tags section below).

Email Tags

The email tags listed below may be used in the subject and message fields as placeholders for specific events details. This allows a default subject and message field to be customized with the current events details.

  • <name>
  • <type>
  • <start date>
  • <start time>
  • <end date>
  • <end time>
  • <age>
  • <notes>

Email Setup

This button displays the Email Setup window to configure how emails are sent. This is a global setting shared by all events.


Alarm Actions - Run / Open

Alarm Actions - Open / Run

This window allows you to set whether a program is run or a file is opened at the alarm time. This setting may be used to perform many different actions such as a CD, movie clip, sound, picture or just about any executable program. When access through the Alarm Options window, this screen sets the default settings for events.

When Alarm Initially Occurs

This setting causes the file to be opened when the alarm first goes off.

When Snooze Alarm Occurs

This setting causes the file to be opened when the alarm goes off after having been previously snoozed.

Open

This field specifies the program of file to open. This may be any executable program or any file that Windows has a registered program to open with. Use the Browse button to search for files on your computer.

Arguments

This field specifies command line parameters that the program will be run with.

Startup

The following startup options are available.

  • Normal - The program is opened in it's window in a normal restored state.
  • Minimized - The program is run minimized to the Windows task bar.
  • Maximized - The program is run with it's window maximized.


Reset Current Event

This function is provided to reset the next upcoming occurrence of a recurring event to the next occurrence after the current date. This also resets any snoozed alarms and resets any future occurrences which have been acknowledged.

For example, if you Acknowledge an event by mistake, you can reset the next event occurrence using this function.


Reset All Events

This function is provided to reset the next upcoming occurrence of all recurring events to the next occurrence after the current date.

For example, if your system date has been incorrect, you may need to execute this function to reset events after correcting your system date.


Daily Reminder

If WinDates is active, a daily reminder window is displayed every day at the Daily Reminder Time. You may disable the daily reminder feature by selecting the "Disable daily reminder" checkbox in the daily reminder window before selecting OK. Daily reminders can be fully configured in the Alarm Options window.

Daily Reminders Described

WinDates allows you to specify a specific time of day that you would like the WinDates main window to be displayed. Normally, WinDates displays upcoming events each time you startup your computer. The Daily Reminder feature was added for users who leave their computer running for a number of days and would like WinDates to remind them of upcoming events each day. You may enable or disable this setting and set the daily reminder time in the Alarm Options window.


Quick Timer

The quick timer function is accessed through the "Edit | Quick Timer" menu item and can be used to quickly set an alarm to sound after a certain amount of time. To start the timer, enter an amount of time in hours, minutes and seconds and then select the "Start" button. Select the "Hide" button to hide the timer window but still leave the timer running in the background. When the timer counts down to zero, the timer window will display and the default alarm sound will play.

WinDates Home Page


Recurrence Types

There are 6 event recurrence types :

One Time

Events that only happen once, such as an appointment. These events become "Old" after the date has past. Once they become old, they will show a negative "Days Left" value in the Event List.

Daily

Events that happen daily or every n days. The first occurrence is specified in the Date / Time frame and future occurrences are calculated relative to the first occurrence. Advanced Daily Options allow you to restrict the event to specific weekdays or months that the event should occur.

Weekly

Events that happen weekly or every n weeks such as pay-day. The first occurrence is specified in the Date / Time frame and future occurrences are calculated relative to the first occurrence. Advanced Weekly Options allow you to specify additional weekdays for the event or restrict the event to specific months.

Monthly

Events that normally happen on the same day each month such as a bill to pay or a monthly report to complete. The first occurrence is specified in the Date / Time frame and future occurrences are calculated relative to the first occurrence. Advanced Monthly Settings allow you to specify additional month days for the event to occur, restrict the event to specific weekdays or months, and specify additional numbered weekdays for the event to occur.

Yearly

Events that happen on the same day each year such as someone's Birthday or Anniversary. For Yearly events, if appropriate, the year of the event should be set to the original year of the event. By setting the Calculate Age Using Start Date option, WinDates will calculate the age of events which is useful for Birthdays since this tells the age of the person on their next birthday. Advanced Yearly Settings allow you to specify additional month days, months or numbered weekdays for the event to occur.

Special Note : February 29th Yearly Event Handling.

Easter Yearly

Events that happen each year on Easter or a certain number of days before or after Easter. When this frequency is selected, a separate entry is shown to set the number of days before or after Easter the event should occur each year.

NOTE : It is possible to specify an event with Advanced Recurring Options that may never happen (i.e. 5th Monday of February) or that may not happen for many years. WinDates only checks 10 years into the future for recurring events. If an occurrence of an event is not found within 10 years of the current date, the event will be shown as N/A (not available) in the Event List when Show All is selected.


Individual Event Occurrences

Individual occurrences of a recurring event can be rescheduled or canceled. For example, a recurring event such as a weekly meeting can have individual occurrences of the meeting rescheduled or canceled.

To reschedule an occurrence, select the specific event and select modify. You will be prompted whether you would like to edit the individual occurrence or the complete series of occurrences. Select the "Open this occurrence only". This will show the "Event Edit" window in a special mode that allows the date / time or other information about the event to be changed.

To delete an occurrence, select the specific occurrence in the list or calendar and select delete. You will be prompted whether you would like to delete the individual occurrence or the complete series of occurrences. Select the "Delete this one occurrence." option.


February 29th Events

The only time February 29th happens is in leap years. This date accounts for the extra day in leap years. For people born on this date, their actual birthday happens only once every four years. To handle this case, WinDates will show Feb 29th yearly events on Feb 28th in non-leap years. For this to work, the event must be entered as a yearly event with a start date of Feb 29th. Also, the event cannot include any Advanced Recurring Options.


Advanced Recurring Options

Advanced options can be set on recurring events that either restrict or add to the number of occurrences of the event. For example, a daily event can be restricted to only happen on Monday, Wednesday and Friday. A monthly event can have occurrences added by specifying month days 1 and 15 and can have occurrences restricted by only selecting January, April, July, and October. (a quarterly event).

Different advanced options are available depending on the current Recurrence Type. Select the links below for details about advanced options available for each recurrence type.


Advanced Daily Options

This screen is accessed through the Event Entry screen by selecting the Daily frequency and then selecting the "Daily - Advanced" button that appears.

The options on this screen provide advanced control over exactly how the daily event occurs. See the following topics for details on each setting.

  • Week Days
  • Months
  • Repeat Length

See Also: Advanced Recurring Options, Advanced Recurring Examples


Advanced Weekly Options

This screen is accessed through the Event Entry screen by selecting the Weekly frequency and then selecting the "Weekly - Advanced" button that appears.

The options on this screen provide advanced controls over exactly how the weekly event occurs. See the following topics for details on each setting.

  • Week Days
  • Months
  • Repeat Length

See Also: Advanced Recurring Options, Advanced Recurring Examples


Advanced Monthly Options

This screen is accessed through the Event Entry screen by selecting the Monthly frequency and then selecting the "Monthly - Advanced" button that appears.

The options on this screen provide advanced controls over exactly how the monthly event occurs. See the following topics for details on each setting.

  • Month Days
  • Months
  • Monthly Week Days
  • Occurrences in Month
  • Repeat Length

See Also: Advanced Recurring Options, Advanced Recurring Examples


Advanced Yearly Options

This screen is accessed through the Event Entry screen by selecting the Yearly frequency and then selecting the "Yearly - Advanced" button that appears.

The options on this screen provide advanced controls over exactly how the yearly event occurs. See the following topics for details on each setting.

  • Month Days
  • Months
  • Monthly Week Days
  • Occurrences in Year
  • Repeat Length

See Also: Advanced Recurring Options, Advanced Recurring Examples


Advanced Recurring Examples

The following are examples of recurring events that use the Advanced Recurring Options.

1. Everyday in January, for 3 years

  • Start Date : January 1, 1998
  • Recurrence Type : Daily
  • Recurrence Interval : 1
  • Week Days : All Days
  • Months : January
  • Repeat Length : Until January 31, 2000 at 23:59

OR

  • Start Date : January 1, 1998
  • Recurrence Type : Yearly
  • Recurrence Interval : 1
  • Month Days : All Days
  • Months : January
  • Repeat Length : Until January 31, 2000 at 23:59

Occurrences : January 1-31 1998; January 1-31 1999; January 1-31 2000

2. Weekly on Tuesday and Thursday for 5 weeks

  • Start Date : September 2, 1997
  • Recurrence Type : Weekly
  • Recurrence Interval : 1
  • Week Days : Tuesday, Thursday
  • Months : All Months
  • Repeat Length : 10 Occurrences

Occurrences : September 2,4,9,11,16,18,23,25,30 1997; October 2 1997

3. Every other month on the 1st and last Sunday of the month forever

  • Start Date : September 7, 1997
  • Recurrence Type : Monthly
  • Recurrence Interval : 2
  • Week Days : First Sunday, Last Sunday
  • Months : All Months
  • Repeat Length : 10 Occurrences

Occurrences : September 7,28 1997; November 2,30 1997; January 4,25 1998; March 1,9 1998; May 3,31 1998

4. Every 18 months on the 10th through 15th of the month for 10 occurrences

  • Start Date : September 10, 1997
  • Recurrence Type : Monthly
  • Recurrence Interval : 18
  • Month Days : 10,11,12,13,14,15
  • Months : All Months
  • Repeat Length : 10 Occurrences

Occurrences : September 10,11,12,13,14,15 1997; March 10,11,12,13 1999

5. Every Thursday in March forever

  • Start Date : June 13, 1997
  • Recurrence Type : Yearly
  • Recurrence Interval : 1
  • Month Days : All Days
  • Months : All Months
  • Week Days : Every Thursday
  • Repeat Length : Forever

Occurrences : March 13,20,27 1997; March 5,12,19,26 1998; March 4,11,18,25 1999; etc...

6. Every Friday the 13th, forever

  • Start Date : February 13, 1998
  • Recurrence Type : Monthly
  • Recurrence Interval : 1
  • Month Days : 13
  • Months : All Months
  • Week Days : Every Friday
  • Repeat Length : Forever

Occurrences : February 13, 1998; March 13, 1998; November 13, 1998; August 13, 1999; etc...

7. Monday before May 25th, forever (Canadian Victoria Day)

  • Start Date : May 18, 1998
  • Recurrence Type : Monthly
  • Recurrence Interval : 1
  • Month Days : 18,19,20,21,22,23,24
  • Months : May
  • Week Days : Every Monday
  • Repeat Length : Forever

Occurrences : May 18, 1998; May 24, 1999; May 22, 2000; etc...

8. Every four years, the first Tuesday after the first Monday in November, forever (US Presidential Election)

  • Start Date : November 5, 1996
  • Recurrence Type : Monthly
  • Recurrence Interval : 48
  • Month Days : 2,3,4,5,6,7,8
  • Months : May
  • Week Days : Every Tuesday
  • Repeat Length : Forever

Occurrences : November 5, 1996; November 7, 2000; November 2, 2004; etc...

9. The first weekday of each month.

  • Start Date : February 1, 1999
  • Recurrence Type : Monthly
  • Recurrence Interval : 1
  • Month Days : All Days
  • Months : All Months
  • Week Days : Every Monday, Tuesday, Wednesday, Thursday, Friday
  • Occurrences in Month: 1st
  • Repeat Length : Forever


Months

The Months settings are used in the Advanced Recurring Options for daily, weekly, monthly and yearly events to specify valid months an event should occur. For daily, weekly, and monthly events, all months are selected by default. Event occurrences can be restricted to specific months by selecting only those months. For Yearly events, only the month of the event start date is selected by default. The event can be set to occur in additional months during the year by selecting those months.

The Show All and Show None buttons can be used to quickly toggle all months on and off.

See Also: Examples, Advanced Recurring Options


Month Days

The Month Days settings are used in the Advanced Recurring Options for monthly and yearly events to specify which days of the month events should occur on. By default, only the day of month of the event start date is selected for both monthly and yearly events. The event can be made to occur on additional month days by selecting those days.

The Show All and Show None buttons can be used to quickly toggle all months days on and off.

See Also: Examples, Advanced Monthly Options, Advanced Yearly Options


Week Days

The Week Days settings are used in the Advanced Recurring Options for daily and weekly events to specify valid week days the event should occur. For daily events, all week days are selected by default. Specific week days can be disabled by unchecking those days. For weekly events, only the week day of the event start date is selected by default. Additional days can be selected by selecting those days.

The Show All and Show None buttons can be used to quickly toggle all week days on and off.

See Also: Examples, Advanced Daily Options, Advanced Weekly Options


Monthly Week Days

The Monthly Week Days settings are used in monthly events to specify individual week days during the month for the event to occur. This setting allows you to specify numbered weekdays that the event occurs. This includes first, second, third, fourth, fifth and last. Each of these may be specified with any of the weekdays (Sunday - Saturday). This allows events such as First Sunday. Combine this with a Months settings of only April and you have the First Sunday in April (Daylight Savings Time Ends).

The list shown below the buttons displays the currently selected weekdays. To enter a new weekday, select the number and weekday in the drop down lists at the top of the frame. Then select the Add button to add the weekday to the list. To modify a weekday, select the entry in the list. It's number and weekday will be shown in the drop down lists. Modify these values and then select the Modify button to apply the changes. Similarly, to delete a weekday, select it in the list and then select the Delete button. Select Delete All to remove all days from the list.

By default, no weekdays are specified for the event indicating that there are no restrictions on week days.

See Also: Examples, Advanced Monthly Options


Occurrences in Month or Year

Monthly and Yearly frequency types include an advanced setting to limit the occurrences to certain numbered occurrences within the month or year. The recurring event calculation always applies all other advanced settings first and then limits the set of dates to the numbered occurrences specified by this settings. This is useful for setting up events such as the "first weekday of the month" (see example 9 in the Advanced Recurring Examples).

For monthly events, the range is from the 1st to 31st occurrence and from the last to 31st from last occurrence.

For yearly events, the range is from the 1st to 366th occurrence and from the last to 366th from last occurrence.


Repeat Length

The Repeat Length settings are found in the Advanced Recurring Options window and can be used to limit the number of occurrences of a Recurring Event. Events may be set to recur forever, for a specific number of occurrences counted from the start date, or up until a specified date. For example, to specify a Daily Event that occurs for five days, you would select "Repeat 5 Times".

See Also: Advanced Recurring Options


Network Support

Local Area Network (LAN) Support

WinDates allows multiple users to share a calendar on a LAN through file sharing. Multiple users can open a calendar file on a shared drive and add or modify events in the file. As events are added or modified, other copies of WinDates that have the calendar file open will automatically recognize and show the event changes. This is useful for scheduling meetings, reserving conference rooms or other resources, and tracking vacations, holidays or birthdays.

To share a calendar file, create a new file on a network drive (select "Calendar | New") or move an existing file to a network drive (select "Calendar | Move"). The shared network drive can be on a Windows NT or 2000 server, a Windows 95 or 98 computer that has file sharing enabled, a Novell file server, or most any PC network system.

Install WinDates on each computer that requires access to the calendar. One WinDates license is required on each computer (quantity discounts are available). Select the "Calendar | Open" menu item to open the calendar file on the network.

Multiple calendar files can be open in WinDates at one time. This allows you to open both a shared calendar file as well as a private calendar file.


Multiple Event Files

Multiple Calendar Files

WinDates supports opening multiple calendar files concurrently. This can be useful in keeping a personal calendar of events separate from subscribed calendars and calendar files shared on a local area network. See the Calendar Manager topic for more information.

Moving Events Between Calendars

Events may be moved from one calendar to another in the Event Entry window. When modifying an event using the Event Entry window, the calendar is shown as a selection. To move the event to a different file, select the new calendar from this list. The event will be moved after you save the event.

See Also: Calendar Commands, Calendar Manager, Network Support


Startup Options

Select the tab buttons in the image above to switch to other option help topics.

Window Startup Mode

This setting allows you to specify the window state that WinDates will startup in. The options are:

  • Normal - Causes the WinDates main window to always startup visible with a normal size.
  • Normal Once a Day - Causes the WinDates main window to only startup normal once each day. All other times WinDates is run, it will start hidden. This option is useful if you restart your computer many times each day.
  • Hidden Always - Causes the WinDates main window to always startup hidden. WinDates can be viewed by selecting the small icon in the Task Tray.
  • Hidden When no Upcoming Events - WinDates uses the Upcoming Days setting for each event to determine whether that event is an "Upcoming" event. The "Hidden When no Upcoming Events" causes WinDates to examine each event and determine whether that event is Upcoming. If there are no upcoming events, then WinDates will startup hidden. If there is at least one event that falls within it's Upcoming Days setting, the WinDates main window to startup visible with a normal size. This system allows WinDates to be hidden on startup if there are no events you should be concerned about in the near future. If WinDates starts up hidden, it can be viewed by selecting the small icon in the Task Tray.

Window Position / State

WinDates can save it's window size and position, Event List column sizes, Toolbar state, calendar size, and show upcoming/all state. The following options control these settings.

  • Center Window On Screen - Set this option to always center the WinDates main window on the screen at startup.
  • Save Settings on Exit - Set this option to have WinDates save it's current state when exiting WinDates.
  • Save Current Settings - Select this button to immediately save the current state of WinDates. The Save Settings on Exit option is disabled so the new settings will not be overwritten.
  • Restore Default Settings - Select this button to restore the WinDates default settings. The Save Settings on Exit option is disabled so the new settings will not be overwritten.

Startup Sound

This setting allows you to change the sound that is played each time you start WinDates. The sound can be enabled or disabled using the Enabled button. You can replace the default sound with your own sound in a .wav file format. You may browse the file system for a new .wav file using the Browse button and test the selected sound using the Test button.

Allow Multiple WinDates

By default, only one copy of WinDates is allowed to run on a machine at one time. If you attempt to run a second copy of WinDates, it will find any copy that is already running and activate it instead. Select the "Allow multiple copies of WinDates to run" checkbox if you would like to disable this feature and allow multiple copies of WinDates to run concurrently.


Event Options

Select the tab buttons in the image above to switch to other option help topics.

Default Recurrence Type

Sets the default Recurrence Type used when entering new events in the Event Entry window.

Default Alarm Lead Time

These edit boxes allow you to specify the default Alarm Lead Time value for each Recurrence Type. This default value is shown in the Event Entry window when entering new events or when changing an existing event to a new recurrence type.

Default Upcoming Days

These edit boxes allow you to specify the default Upcoming Days value for each Recurrence Type. This default value is shown in the Event Entry window when entering new events or when changing an existing event to a new notify type.

Default Event Settings

These values are used as the default settings when entering new events using the Event Entry window.


Alarm Options

Select the tab buttons in the image above to switch to other option help topics.

Default Snooze Time

This is the default number that will be shown as the Snooze Time in the Alarm dialog.

Alarm Check Frequency

This setting controls how often WinDates checks for alarms. This setting is measured in seconds so that a setting of 3 checks alarms every 3 seconds. On slow computers, this setting can be set to a longer time to improve performance.

Alarm Window Activation

This setting controls how the WinDates alarm window will be displayed. The following options are available.

  • Show if user is not busy - The alarm window only pops up if you are not current busy typing. If you are busy, an alarm indication flashes in the Windows taskbar. This indication can be selected view the alarm information.
  • Show always - The alarm window is always shown even if you currently busy typing.
  • Show in taskbar only - The alarm window is never shown automatically but is instead shown as an alarm indication on the Windows taskbar.

Default Alarm Actions

This button displays the alarm actions dialog and allows you to set the default actions that are carried out by WinDates when an alarm goes off. These settings apply to all events unless the event has specific alarm actions set which override the default alarm actions. The following alarm actions are available.

  • Alarm Actions - Sound
  • Alarm Actions - Email
  • Alarm Actions - Run - Open

Daily Reminder Time

This setting allows you to set the Daily Reminder Time and enable or disable Daily Reminders.


Warning Options

Select the tab buttons in the image above to switch to other option help topics.

Warn When Exiting

Selecting this option will make WinDates display a warning window if you attempt to exit WinDates. This warning indicates that WinDates alarms will not function if you exit. Instead you should hide or minimize the window.

Warn When Acknowledging Event

Selecting this option causes WinDates to display a warning message when Acknowledging an event.

Warn When Modifying Events and Filter Enabled

Selecting this option causes WinDates to show a warning if Filtering is enabled and you select to add or modify an event. The message asks if you would like to disable filtering before adding or modifying events. The reason for this warning is that if filtering is enabled, new or modified events may not show up because they are filtered.

Warn About Time Conflicts

When this option is set, WinDates will check for time conflicts between messages any time you add or modify an event. If the time of the event you are adding or modifying conflicts with another event time, you will be warned and given a chance to change the time if you like. Time conflict checking is not performed on All Day events.

Warn When Publishing Advanced Recurring Events

When this option is set, WinDates will display a warning when publishing events that contain advanced recurring options. This warns you that the advanced options may not be supported by other calendar programs that may download the calendar.

Abnormal Alarm Time Warning

This option will warn the user that they have entered an abnormal alarm time in the Event Entry window. When setting an alarm using the AM/PM time format, it can be easy to forget to set the AM/PM setting. This can lead to mistakes such as specifying an alarm at 3am instead of 3pm. This warning system lets you specify a time range when it would be unusual for an alarm to be set to. This guards against time input errors.

Automatic Backup

The automatic backup feature reminds you periodically to perform a backup of your event file. You are prompted to enter a floppy disk and choose the disk drive. These settings allow you to enable or disable this settings and change the frequency of backups. For more information, see the Backup and Restore section.


Event Type Options

Select the tab buttons in the image above to switch to other option help topics.

Event Types

The Event Type Options allows the user to add, modify and delete Event Types that are shown in the Type drop list in the Event Entry dialog. This allows commonly used Event Types to be entered once and simply selected from the drop list and allows you to select the default event type that will show in the Event Entry dialog. You can also assign a color to each event type which is used to color-code events in the Calendar.

Event Types are useful in categorizing event types for sorting in the Event List and in the WinDates Filtering feature.

On this option page, there is a list box which shows the currently defined types, an edit box used to specify new or changed values, a color button used to specify the color of the current type and a read-only edit box used to show the current default event type.

  • The Add button will add the value shown in the edit box to the type list.
  • The Modify button will change the currently selected type to the value in the edit box.
  • The Delete button will delete the currently selected type.
  • The Set As Default button sets the currently selected event type as default.
  • The Clear Default button clears the default event type.'

Blank Event Type Color

This setting allows you to specify a default color that will be used to color-code events in the Calendar that do not have an assigned Event Type.


Display Options

Select the tab buttons in the image above to switch to other option help topics.

Event List Fonts

  • Heading Font - Allows you to specify the font face and size of the Event List heading.
  • List Font - Allows you to specify the font face and size of the Event List data.

Calendar Fonts

  • Day Number Font - Allows you to specify the font face and size of the day of month numbers in the on-screen Calendar.
  • Event Font - Allows you to specify the font face and size of the event text in the on-screen calendar.

Daily Calendar Scale

This setting allows you to set the number of minutes that a single line in the daily calendar view represents. Setting this value to a larger number allows you to see a larger period of the day.

Show Ages In Calendar

This setting specifies whether yearly event ages are shown in the calendar with the event name. This setting applies to both the on-screen calendar and printed calendars.

Color Code Events

This setting specifies whether events should be color-coded in the calendar based on the Event Types.

Acknowledged Color

This option allows you to specify the color of Acknowledged events in the calendar.

Calendar Week Start Day

This setting allows you to specify whether the WinDates calendar week starts on Sunday or Monday.

Week Numbers

This setting specifies whether week numbers are shown in the Calendar. Week numbers are defined as weeks of year. Weeks start on Monday where the first calendar week of the year is the one that includes the first Thursday of that year.


Email Setup

The Email Options window allows you to setup the email service that WinDates will use to send email alarms.

Microsoft Mail (MAPI)

This option specifies that WinDates should use the Microsoft mail API. This API is used by Microsoft Outlook and Outlook Express as well as email programs from other vendors. If you use an email program that is MAPI enabled, this is the easiest way to setup email since it uses the email settings already setup on your computer.

Selecting the "Shared Login" option causes WinDates to look for an open email session and attach to that session. You may optionally enter a email profile name for WinDates to load.

Internet Mail (SMTP)

This option specifies that WinDates should contact your email server directly to send alarm emails. This information is available from your Internet Service Provider. The following fields may be set.

  • Sender Name - Sender name shown on emails.
  • Sender Email Address - Sender email address shown in emails.
  • Server Address - Internet address of your SMTP email server.
  • Server Port Number - SMTP server port number. Normally this should be a value of 25.
  • Login Method - Type of user login your server requires.
  • Username - Username if your server requires you to login.
  • Password - Password if your server requires you to login.


Control Panel Windows

System Date/Time

Choosing this option calls the standard Windows Set Date and Time control panel dialog. Use this dialog to change your computer's date and time.

Regional Settings

Choosing this option calls the standard Windows regional settings control panel dialog. This allows you to specify the format of the Windows date and time. WinDates automatically uses these settings to format date and time values.


Print Single Event

WinDates can print a single event on a page with all the details of the event including the event notes. There are two methods of printing a single event.

  1. Select the event in the event list or calendar and then select the "Calendar | Print Selected Event" menu item.
  2. Right click on the event in the event list or calendar and select the "Print Event" menu item.


Printing

Report Type

This list box allows you to select a print report format. The current options are:

  • Current Month Calendar: This report prints a month calendar as currently shown on screen.
  • Current Week Calendar: This report prints a week calendar as currently shown on screen.
  • Current Event List: This report prints the event list as currently shown on screen.
  • Date Range Event List: This report prints a list of event in the same format as the event list, but prints all event occurrences that fall between two dates. The Date Range controls allow you to specify the dates.

Filter

Allows filtering of events to be printed. See Filtering topic for more information.

Printer Settings

This frame shows the current printer and page orientation. Pressing the Edit button displays the Page Layout dialog that allows selection of page margins, orientation and the current printer.

Date Range

These controls allow you to specify a range of dates to print in the Date Range Event List report. All occurrences of events within this range are printed. Use the "This Month" and "This Week" buttons to quickly set the date range. Select the "Print Acknowledged Events" to print events within the date range that have been acknowledged.

Print Settings

This button displays a dialog which allows you to set advanced options for printing. Depending on the currently selected report type, the following dialogs will be displayed.

  • Current Month Calendar Calendar Settings
  • Current Event List Event List Settings
  • Date Range Event List Event List Settings

Print Preview

WinDates offers a print preview function that allows you to view a screen representation of what the actual printed page(s) will look like. Selecting the Preview button in the Print Dialog replaces the main window with the preview window. The preview window allows you to zoom in and out, print the page, or close print preview to return to the print dialog.


Calendar Print Settings

The Calendar Settings dialog allows you to customize the printed calendar report.

Fonts

These buttons allow you to select the font face, size and color for the printed calendar text.

  • Month Heading - Sets the font for the month and year name.
  • Day Headings - Sets the font for the day of week headings.
  • Day Numbers - Sets the font for the calendar day of month numbers.
  • Event Text - Sets the font for the event text in the calendar cells.

Line Size

Sets the width of the calendar outline in printer pixels.

Line Color

Sets the color of the calendar outline.

Day Heading Background Color

Sets the background color of the day of week headings for the calendar. Be careful to coordinate this color with the Day Headings font color.

Show Ages in Calendar

This setting specifies whether yearly event ages are shown in the calendar with the event name. This setting applies to both the on-screen calendar and printed calendars.

Color Code Using Event Type Colors

This setting specifies whether events should be color-coded in the printed calendar based on the Event Types.


Event List Print Settings

Event List Fonts

These buttons allow you to select the font face, size and color for the printed event list.

  • Heading - Sets the font for the event list column headings.
  • Event Text - Sets the font for the event text in the event list.

Printed Columns

These check boxes allow you to control which columns are printed in the Event List printed report. This has no effect on the on-screen event list.

Printed Column Widths

These edit boxes allow you to control the width of each of the event list columns in the printed event list report. The measurement units are controlled by the Windows measurement settings in the control panel regional settings.

Reset Defaults

This button resets the event list column widths to their default setting.


Import

WinDates allows you to import events from several different format files. When events are imported, they are saved to the WinDates event file that is currently in use. The following file types are supported.

iCalendar File (.ics)

This import type allow importing events from an iCalendar format file into the selected WinDates file. These files have an .ics extension and may be downloaded from the Internet. If you select this file type, you will be prompted to select the file to import.

WinDates Event File (.wdt)

This is a standard WinDates Event File which normally has a .wdt extension. This allows you to import events created by another copy of WinDates. If you select this file type, you will be prompted to select the file to import.

Text File

This is a delimited text file that contains one event per line. For details, see the Import Text File section.

vCalendar Event File (.vcs)

This is a standard vCalendar Event File which normally has a .vcs extension. Many calendar applications are capable of exporting events in this format. If you select this file type, you will be prompted to select the file to import.


Import Text File

Import Text File Window

This screen allows you to import events into WinDates from a formatted text data file. The screen may be accessed by selecting the "Calendar | Import" menu item and selecting the Text File Type. The following controls are available.

Import Filename

Specifies the name of the text file that contains the events to be imported. To browse for the file, select the browse button.

Import File First Line

After an Import file has been selected, the first line of that file is displayed in this frame. This gives an example of the format of the file to make setting the import options easier.

Import Column Order

These settings allow you specify the order of the columns in the text file that is being imported. Columns in the file must be delimited (separated) by a character such as a comma or semicolon. This delimiter can be set using the Column Delimiter field.

The order of the columns in the Column List must be set to be in same order as the columns in the import file. To change the order of columns, select a column and choose either the Up or Down buttons to move that column. If there are columns which are not used in your file, move them to the end of the list.

Import Date Format

These settings allow you to specify the format of the Event Date. The order of Month, Day and Year may be selected as well as the delimiter used to separate these values. An example of the current date format is also shown in the frame. Date values must be in numeric format.

Import Event Defaults

These settings allow you to specify the Recurrence Type and Alarm Settings for all events imported from the current text file.


Export

WinDates allows you to export events to two different format files. The following file types are supported.

iCalendar File (.ics)

This export type allow exporting events to an iCalendar format file from the selected WinDates file. These files have an .ics extension and may be used to share calendars with others through the Internet. If you select this file type, you will be prompted to select the file name to export to.

Text File

This is a delimited text file that contains one event per line. For details, see the Export to Text File section.


Export to Text File

This function allows you to save the events that are currently shown in the Event List to a text file. This may be useful in creating custom printed reports or in transferring events to other programs. Currently, only the next upcoming occurrence of recurring events is output. No attempt is made to define all occurrences of recurring events.

The following options allow you to customize the format of the output text file.

Text File Format

  • Fixed Width Fields - If selected, no delimiters are used between data fields so that each field is the same width for each record.
  • Delimited Fields - If selected, a special delimiter character is inserted between each field in the output file. Fields are variable length depending on the length of the information in them. The delimiter character can be selected from the drop down list.

Yearly Event Options

  • Show Age - If selected, yearly events that include an original year show the age on the next occurrence of the event. For instance, age on next birthday.
  • Show Original Year - If selected, the original year will be shown for yearly events that include an original year.
  • Output Column Heading - If this option is selected, the first line of the output file will contain a heading label for each field in the file.
  • Filename - This option specifies the name of the file that the information will be written to. You may select a file interactively by pressing the Browse button.

When you are ready to save the information to file, press the Export button. If the file you specified already exists, you will be asked whether you are sure you want to overwrite it.


Registration

Registration Benefits :

  • Disables the shareware reminder screen encountered when editing Events and Holidays.
  • Allows unlimited number of events. Unregistered copies of WinDates have a 20 event limit. This only applies to user-defined events and not the pre-defined holidays.
  • Allows unlimited number of subscribed calendars. Unregistered copies of WinDates have a 10 calendar limit.
  • Allows you to disable the startup splash screen.
  • Free upgrades to future versions.
  • Free email notification of upgrade releases (when valid email address is provided).
  • Technical support via email.
  • Legal user status.

You are authorized to use the shareware version of WinDates for evaluation for 30 days. To continue using WinDates, you should register.

The price to register WinDates is $19.95 U.S. Dollars. See below for quantity discounts.

Two Ways To Register :

1. Print the Registration Form . Fill out and mail, along with a check or money order (payable through U.S. bank) for $19.95 (Texas residents add 8.25% sales tax), to :

Rockin' Software
5116 Bissonnet #134
Bellaire, TX 77401-4007

2. Credit card order through on-line World Wide Web form, phone, email or fax.

Secure On-Line Form : https://www.setsystems.com/cgi-bin/buy-windates
 Telephone : 1-888-201-7131
International : +1-719-576-0115
Fax : 1-719-623-0399
Email : sales@setsystems.com

(This contact information is for ordering only. Do NOT contact SetSystems for support. Either mail or email Rockin' Software.)

Entering Your Registration Number

After you receive your registration number, use the Register dialog box to enter your number and fully register WinDates.

Quantity Discounts

Number of Copies | Price Per Copy | Discount Per Copy
1-4 | $19.95 | 0%
5-9 | $15.95 | 20%
10-14 | $13.95 | 30%
15-19 | $11.95 | 40%
20-29 | $9.95 | 50%
30-49 | $7.95 | 60%
50-99 | $5.95 | 70%
100-999 | $4.95 | 75%
1000+ | $3.95 | 80%

Comments on WinDates

Your comments and suggestions are encouraged. Help make WinDates a great product!

  • Internet Mail : suggestions@rockinsoftware.com
  • Postal Mail : above address
  • Web Address : http://www.rockinsoftware.com

Shareware Distribution

You are encouraged to distribute the unregistered version of this program to World Wide Web sites, FTP sites, Bulletin Boards, Shareware Archives, CD-ROM's, etc. Shareware disk vendors may also freely distribute this program.

Disclaimer

No warranty on WinDates exists, either expressed or implied. No liability is assumed by the author of WinDates for any damage or loss resulting from the use of the WinDates software.


Registration Form

WinDates 5.1 Registration Form

Company__________________________________________________

Name_____________________________________________________(required)

Address___________________________________________________

Address___________________________________________________

City ______________________________________________________

State_________________ ZIP_______________________

Country____________________________________________________

Phone_____________________________________________________

email______________________________________________________ (print clearly!)

Cost:

WinDates: $19.95 x ____ copies = |  | $_______
Shipping Method (check one) |  |
Code Via Email Free | ______ |
U.S. / Canada Postal $3.00 | ______ |
International Postal $5.00 | ______ |
Shipping Cost |  | $_______
Tax 8.25% (only pay tax if you live in Texas) |  | $_______
$19.95 tax = $1.65 |  |
$22.95 tax = $1.89 |  |
Total |  | $_______

Send this form and a Check or Money Order payable through a U.S. Bank to :

Rockin' Software
5116 Bissonnet #134
Bellaire, TX 77401-4007

Optional

Where did you obtain WinDates? (Internet site address, disk vendor name)

_____________________________________________________________


Register

The Register window allows you to enter your personal registration number. To get your number, see the Registration section. Each name has a unique registration number, so be sure you enter your name exactly as indicated on the registration form. The name is case-sensitive. Names usually have the first letter of each name uppercase and the rest of the letters lowercase.

To view the Register window, select the "Register!" menu item. Then select the "Enter Code" button on the lower left of the window.